Package ru.bitel.bgbilling.kernel.contract.balance.server.bean

# Class PaymentDao

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.common.dao.AbstractDao<Payment>
ru.bitel.bgbilling.common.dao.AbstractIdDao<Payment>
ru.bitel.bgbilling.kernel.contract.balance.server.bean.PaymentDao

public class PaymentDao extends ru.bitel.bgbilling.common.dao.AbstractIdDao<Payment>

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `orderByPattern`

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `con, ERROR, fields, moduleId, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PaymentDao(Connection con)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected int`
  `deleteImpl(int id)`
  `void`
  `deletePaymentsById(List<Integer> paymentIds)`
  `protected Payment`
  `getFromRS(ResultSet rs)`
  `SearchResult<Payment>`
  `getPaymentList(int contractId, Period period, int members)`
  Возвращает список платежей за период для договора отсортированный по дате
  `List<Payment>`
  `getPaymentList(List<Integer> contractIds, Period period, jakarta.xml.ws.Holder<BigDecimal> totalSum)`
  Возвращает список платежей за период для договора отсортированный по дате
  `List<Payment>`
  `getPaymentsById(List<Integer> paymentIds)`
  `void`
  `searchLastPaymentList(SearchResult<Payment> searchResult, int contractId, int members, int lastPayments)`
  `void`
  `searchLastPaymentList(SearchResult<Payment> searchResult, List<Integer> contractIds, int lastPayments)`
  `void`
  `searchPaymentList(SearchResult<Payment> searchResult, int contractId, int members)`
  `void`
  `searchPaymentList(SearchResult<Payment> searchResult, List<Integer> contractIds)`
  `protected void`
  `updateImpl(Payment payment)`
  Обновляет существующий (payment.getId() > 0) или добавляет новый платеж (payment.getId() invalid input: '<' 1)
  `void`
  `zeroBalancePayment(Date date, int contractId, int paymentTypeId)`
  Обнуление баланса с помощью виртуального платежа.
  `void`
  `zeroBalancePayment(Date date, int contractId, int paymentTypeId, String paymentComment)`
  Обнуление баланса с помощью виртуального платежа

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractIdDao

  `delete, executeUpdate, get, getAndDelete, getAndUpdate, opt, prepareStatement, sqlCommand, sqlCommandAndTable, sqlQuery, sqlWhereId`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `delete, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, list, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, psSetPeriod, queryPeriod, setStatementParam, update`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `getSQLOrder, getTableName, psSetDate, psSetInt, psSetString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PaymentDao

    public PaymentDao(Connection con)

- ## Method Details

  - ### getPaymentList

    public SearchResult<Payment> getPaymentList(int contractId, Period period, int members) throws SQLException
    Возвращает список платежей за период для договора отсортированный по дате
    Parameters:
      `contractId` - код договора
      `period` - период, null - все платежи, можно что бы значения dateFrom и dateTo были равны null.
      `members` - - если == 1, то только платежы данного договора, если = 2 то вернет еще и платежы з.субдоговоров, если = 3 то только платежы зависемых субдоговоров.
      `totalSum` - - если != null, то сюда занесется общая сумма по всем выбранным приходам.
    Returns:
      список платежей, если платежей нет, возвращает пустой список
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `SQLException`

  - ### searchPaymentList

    public void searchPaymentList(SearchResult<Payment> searchResult, int contractId, int members) throws SQLException
    Throws:
      `SQLException`

  - ### getPaymentList

    public List<Payment> getPaymentList(List<Integer> contractIds, Period period, jakarta.xml.ws.Holder<BigDecimal> totalSum) throws SQLException
    Возвращает список платежей за период для договора отсортированный по дате
    Parameters:
      `contractIds` - код(ы) договора(ов)
      `period` - период, null - все платежи, можно что бы значения dateFrom и dateTo были равны null.
      `totalSum` - - если != null, то сюда занесется общая сумма по всем выбранным приходам.
    Returns:
      список платежей, если платежей нет, возвращает пустой список
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `SQLException`

  - ### searchPaymentList

    public void searchPaymentList(SearchResult<Payment> searchResult, List<Integer> contractIds) throws SQLException
    Throws:
      `SQLException`

  - ### searchLastPaymentList

    public void searchLastPaymentList(SearchResult<Payment> searchResult, int contractId, int members, int lastPayments) throws SQLException
    Throws:
      `SQLException`

  - ### searchLastPaymentList

    public void searchLastPaymentList(SearchResult<Payment> searchResult, List<Integer> contractIds, int lastPayments) throws SQLException
    Throws:
      `SQLException`

  - ### updateImpl

    protected void updateImpl(Payment payment) throws SQLException
    Обновляет существующий (payment.getId() > 0) или добавляет новый платеж (payment.getId() invalid input: '<' 1)
    Specified by:
      `updateImpl` in class `ru.bitel.bgbilling.common.dao.AbstractDao<Payment>`
    Parameters:
      `payment` - объект с данными платежа
    Throws:
      `SQLException`

  - ### zeroBalancePayment

    public void zeroBalancePayment(Date date, int contractId, int paymentTypeId) throws Exception
    Обнуление баланса с помощью виртуального платежа. Комментарий платежа "Виртуальный платеж для обнуления баланса"
    Parameters:
      `date` - дата платежа
      `contractId` - код договора
      `paymentTypeId` - код типа платежа
    Throws:
      `Exception`

  - ### zeroBalancePayment

    public void zeroBalancePayment(Date date, int contractId, int paymentTypeId, String paymentComment) throws Exception
    Обнуление баланса с помощью виртуального платежа
    Parameters:
      `date` - дата платежа
      `contractId` - код договора
      `paymentTypeId` - код типа платежа
      `paymentComment` - комментарий платежа
    Throws:
      `Exception`

  - ### getPaymentsById

    public List<Payment> getPaymentsById(List<Integer> paymentIds) throws SQLException
    Throws:
      `SQLException`

  - ### deleteImpl

    protected int deleteImpl(int id) throws SQLException
    Overrides:
      `deleteImpl` in class `ru.bitel.bgbilling.common.dao.AbstractDao<Payment>`
    Throws:
      `SQLException`

  - ### deletePaymentsById

    public void deletePaymentsById(List<Integer> paymentIds) throws SQLException
    Throws:
      `SQLException`

  - ### getFromRS

    protected Payment getFromRS(ResultSet rs) throws SQLException
    Specified by:
      `getFromRS` in class `ru.bitel.bgbilling.common.dao.AbstractDao<Payment>`
    Throws:
      `SQLException`